=== modified file 'bzrlib/tests/test_versionedfile.py'
--- bzrlib/tests/test_versionedfile.py	2006-03-01 02:01:47 +0000
+++ bzrlib/tests/test_versionedfile.py	2006-03-01 03:13:44 +0000
@@ -69,6 +69,15 @@
 
         self.assertRaises(RevisionNotPresent,
             f.get_ancestry, ['rM', 'rX'])
+        
+    def test_clear_cache(self):
+        f = self.get_file()
+        # on a new file it should not error
+        f.clear_cache()
+        # and after adding content, doing a clear_cache and a get should work.
+        f.add_lines('0', [], ['a'])
+        f.clear_cache()
+        self.assertEqual(['a'], f.get_lines('0'))
 
     def test_clone_text(self):
         f = self.get_file()

=== modified file 'bzrlib/versionedfile.py'
--- bzrlib/versionedfile.py	2006-03-01 02:01:47 +0000
+++ bzrlib/versionedfile.py	2006-03-01 03:13:44 +0000
@@ -56,6 +56,9 @@
         not present in file history."""
         raise NotImplementedError(self.add_lines)
 
+    def clear_cache(self):
+        """Remove any data cached in the versioned file object."""
+
     def clone_text(self, new_version_id, old_version_id, parents):
         """Add an identical text to old_version_id as new_version_id.
 

